Bug 966898 - Generic policies does not work
Generic policies does not work
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER2
: ---
Assigned To: Keith Babo
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 04:47 EDT by Jiri Pechanec
Modified: 2014-06-16 19:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
modified switchyard-quickstart-bean-service containing definidtion of 2 custom policies (interaction|implementation) (62.12 KB, application/zip)
2013-10-08 09:43 EDT, Stefan Bunciak
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1502 Blocker Closed PolicyFactory breaks policy extension support 2014-06-16 19:51:54 EDT

  None (edit)
Description Jiri Pechanec 2013-05-24 04:47:28 EDT
I tried to create a custom policy and use it with SwitchYard.

According to LocalExchangeBus there is a 'generic-policy' handled by PolicyHandler.

Security and transaction policies have its own handlers.

Unfortunately when I try to deploy an application with the custom policy then the deployment fails with the exception

10:19:59,905 ERROR [org.jboss.msc.service.fail] (MSC service thread 1-12) MSC000001: Failed to start service jboss.deployment.unit."implementations-component-test.jar".SwitchYardService: org.jboss.msc.service.StartException in service jboss.deployment.unit."implementations-component-test.jar".SwitchYardService: org.switchyard.exception.SwitchYardException: java.lang.Exception: Invalid policy name: 'good' doesn't exist.                                                                            
Caused by: org.switchyard.exception.SwitchYardException: java.lang.Exception: Invalid policy name: 'good' doesn't exist.                                              
Caused by: java.lang.Exception: Invalid policy name: 'good' doesn't exist.                                                                                            

I think this is caused by the implementation of PolicyFactory that has a static constructor that loads policies from SecurityPolicy and TransactionPolicy enums so I am not able to add additional policy.
Comment 1 Keith Babo 2013-05-24 08:41:18 EDT
Yup.
Comment 2 JBoss JIRA Server 2013-05-28 10:25:32 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1502

pushed
Comment 6 Stefan Bunciak 2013-10-08 09:43:33 EDT
Created attachment 809303 [details]
modified switchyard-quickstart-bean-service containing definidtion of 2 custom policies (interaction|implementation)

Verified in FSW 6.0.0.ER4 with attached (modified) switchyard-quickstart-bean-service project.
Comment 7 JBoss JIRA Server 2014-06-16 19:51:54 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1502 to Closed

Note You need to log in before you can comment on or make changes to this bug.